/* Dark Mode Styles */
@media (prefers-color-scheme: dark) {
    #top-bar{
        background-color:rgba(12,12,12,0.75);
        backdrop-filter: blur(5px);
        box-shadow:rgba(0,0,0,0.6) 0px 5px 10px;
    }

    footer {
        background: rgb(22,22,22);
        color: #fff;
    }

    .footer-links a, .footer-socials a {
        color: #fff;
    }
    
    .footer-links a:hover, .footer-socials a:hover {
        color: #43bbff;
    }
}

/* Light Mode Styles (if explicitly needed) */
@media (prefers-color-scheme: light) {
    #top-bar{
        background-color:rgba(255, 255, 255, 0.99);
        box-shadow:rgb(150,150,150) 0px 0px 1px 0px;
    }

    footer {
        background: rgb(255,255,255);
        color:black;
    }

    .footer-links a, .footer-socials a {
        color: black;
    }
    
    .footer-links a:hover, .footer-socials a:hover {
        color: #43bbff;
    }
}

#filler{
    height:100vh;
    width:20px;
}

#top-bar{
    height:60px;
    width:100%;
    display: flex;
    position: fixed;
    z-index: 5;
    top:0;
}

#top-bar img{
    max-height:100%;
}

#top-bar h1{
    margin:0;
}

#top-bar-content{
    width:1200px;
    transform: translate(-50%,0);
    position: absolute;
    left:50%;
    height:100%;
    max-width:calc(100% - 30px);
}

#sidebar{
    position:fixed;
    right:0;
    top:60px;
    width:300px;
    height:100%;
    background-color: rgb(25,25,25);
    z-index:2;
}

#sidebar ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 95%;
    padding:5px;
    font-size:20px;
}

#sidebar a{
    display: block;
    color: white;
    padding: 15px 10px;
    text-decoration: none;
    border-radius:5px;
    margin-bottom:5px;
}

#sidebar li{
    display: flex;
    align-items: center; /* Vertically align the image and text */
    gap:10px;
}

#sidebar a:hover{
    background-color: rgb(40,40,40);
    color: white;
}

#sidebar img{
    width:28px;
}

footer {
    text-align: center;
    padding: 20px 0;
    font-family: Arial, sans-serif;
    width:100vw;
    position: relative;
    bottom: 0;
    left: 0;
}

.footer-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.footer-links a, .footer-socials a {
    margin: 0 10px;
    text-decoration: none;
    transition: 0.3s;
}

.footer-socials i {
    font-size: 20px;
}

.footer-bottom {
    margin-top: 10px;
    font-size: 14px;
    opacity: 0.7;
}